import Image from "next/image";
import IconRenderer from "../renderer/IconRenderer";

const FooterLogoAndSocials = ({ logo, desc, socials }) => {
   
  return (
    <div className="flex lg:col-span-2 flex-col gap-3">
      <Image
        src={"/images/static/govahito-full-logo.png"}
        width={"0"}
        height={"0"}
        sizes="100vw"
        alt="گواهیتو مرجع اصلی نمونه سوالات آیین نامه "
        className="w-[100px] h-auto"
      />
      <p>{desc}</p>
      <div className="flex items-center gap-3">
        {socials?.map((item, index) => (
          <div key={index}>
            <a href={item.address}>
              <IconRenderer iconName={item.icon} size={24} color="#333333" />
            </a>
          </div>
        ))}
      </div>
    </div>
  );
};

export default FooterLogoAndSocials;
